Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.wsdl
Class Wsdl11Reader

    java.lang.Object
      org.modeshape.sequencer.wsdl.WsdlReader<javax.wsdl.Definition>
          org.modeshape.sequencer.wsdl.Wsdl11Reader

    @NotThreadSafe
    public class Wsdl11Reader

extends WsdlReader<javax.wsdl.Definition>

A class that can parse WSDL 1.1 definitions, derive a graph structure from the content, and output that graph structure to a supplied `SequencerOutput`.

This class can be subclassed and any of the 'process' methods overridden to customize the dervied graph structure.

Nested Class Summary
`protected class` | `Wsdl11Reader.CustomWSDLLocator`
`protected class` | `Wsdl11Reader.PortTypeResolvers`

Nested classes/interfaces inherited from class org.modeshape.sequencer.wsdl.WsdlReader
`WsdlReader.ResolveFuture`

Field Summary
`protected static XsdResolvers.SymbolSpace` | `BINDINGS`
`protected static XsdResolvers.SymbolSpace` | `MESSAGES`
`protected Map<javax.wsdl.WSDLElement,String>` | `nameForComponent`
`protected static XsdResolvers.SymbolSpace` | `PORT_TYPES`
`protected static XsdResolvers.SymbolSpace` | `PORTS`
`protected static Set<String>` | `SCHEMA_REFERENCE_ELEMENTS`
`protected static XsdResolvers.SymbolSpace` | `SERVICES`
`protected XsdResolvers` | `typeResolvers`
`protected Map<javax.wsdl.WSDLElement,UUID>` | `uuidForComponent`

Fields inherited from class org.modeshape.sequencer.wsdl.WsdlReader
`context, logger, namesByParentPath, output, resolveFutures, resolvers, UNBOUNDED`

Constructor Summary
`Wsdl11Reader(SequencerOutput output, StreamSequencerContext context)`

Method Summary
`protected String` | `cleanDocumentationContent(String content)` This method is used by the `processDocumentation(WSDLElement, Path)` to clean up the documentation content string.
`protected String` | `getAttributeValue(Element element, String namespaceUri, String localName)`
`protected boolean` | `is(QName qname, Name name)`
`protected Path` | `nextPath(Path parentPath, QName qname, Name primaryType)`
`protected javax.wsdl.Definition` | `parse(InputSource source, String baseUri)` Parse the supplied source (which contains either a `Reader` or an `InputStream`) and produce a representation of the WSDL definition.
`protected void` | `process(javax.wsdl.BindingFault fault, Path parentPath)`
`protected void` | `process(javax.wsdl.BindingInput input, Path parentPath, javax.wsdl.OperationType style, String operationName, javax.wsdl.Operation operation)`
`protected void` | `process(javax.wsdl.BindingOperation operation, Path parentPath)`
`protected void` | `process(javax.wsdl.BindingOutput out, Path parentPath, javax.wsdl.OperationType style, String operationName, javax.wsdl.Operation operation)`
`protected void` | `process(javax.wsdl.Definition definition, Path docPath, long sizeOfFile)` Process the supplied representation of the WSDL definition that was returned from the `WsdlReader.parse(InputSource, String)` method, derive the output content, and write that derived output content to the `SequencerOutput`.
`protected void` | `process(javax.wsdl.extensions.ExtensibilityElement element, Path parentPath)`
`protected void` | `process(javax.wsdl.Fault fault, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.http.HTTPAddress element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.http.HTTPBinding element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.http.HTTPOperation element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.http.HTTPUrlEncoded element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.http.HTTPUrlReplacement element, Path parentPath)`
`protected void` | `process(javax.wsdl.Input input, Path parentPath, javax.wsdl.OperationType style, String operationName, QName portTypeName)`
`protected void` | `process(javax.wsdl.extensions.mime.MIMEContent element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.mime.MIMEMimeXml element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.mime.MIMEMultipartRelated element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.mime.MIMEPart element, Path parentPath)`
`protected void` | `process(javax.wsdl.Operation operation, Path parentPath, QName portTypeName)`
`protected void` | `process(javax.wsdl.Output out, Path parentPath, javax.wsdl.OperationType style, String operationName, QName portTypeName)`
`protected void` | `process(javax.wsdl.Port port, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.schema.Schema schema, Path parentPath, XsdReader xsdReader)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12Address element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12Binding element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12Body element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12Fault element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12HeaderFault element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12Header element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap12.SOAP12Operation element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPAddress element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPBinding element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPBody element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPFault element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPHeaderFault element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPHeader element, Path parentPath)`
`protected void` | `process(javax.wsdl.extensions.soap.SOAPOperation element, Path parentPath)`
`protected void` | `processBinding(javax.wsdl.Binding binding, Path parentPath)`
`protected void` | `processBindings(Map<String,javax.wsdl.Binding> bindings, Path parentPath)`
`protected void` | `processDocumentation(javax.wsdl.WSDLElement wsdlElement, Path path)`
`protected void` | `processExtensibilityElements(javax.wsdl.WSDLElement wsdlElement, Path path)`
`protected void` | `processMessage(javax.wsdl.Message message, Path parentPath)`
`protected void` | `processMessages(Map<String,javax.wsdl.Message> messages, Path parentPath)`
`protected void` | `processPart(javax.wsdl.Part part, Path parentPath)`
`protected void` | `processPortType(javax.wsdl.PortType portType, Path parentPath)`
`protected void` | `processPortTypes(Map<String,javax.wsdl.PortType> portTypes, Path parentPath)`
`protected void` | `processService(javax.wsdl.Service service, Path parentPath)`
`protected void` | `processServices(Map<String,javax.wsdl.Service> services, Path parentPath)`
`protected void` | `processTypes(javax.wsdl.Types types, Path parentPath)`
`protected void` | `processUnknownExtensionElement(javax.wsdl.extensions.ExtensibilityElement element, Path parentPath)` This method is called by `process(ExtensibilityElement, Path)` when the type of extension is not known.
`protected boolean` | `processXsdAnnotation(Element element, Path parentPath)`
`protected boolean` | `processXsdReference(Element element, Path parentPath)`
`protected UUID` | `setReference(Path path, Name propertyName, XsdResolvers.SymbolSpace space, QName name)`
`protected UUID` | `setReferenceable(Path path, XsdResolvers.SymbolSpace space, QName qname)`
`protected UUID` | `setReferenceable(Path path, XsdResolvers.SymbolSpace space, String namespace, String name)`
`protected UUID` | `uuidForComponent(javax.wsdl.WSDLElement component)`
`protected String` | `writeXml(Node xmlNode)`

Methods inherited from class org.modeshape.sequencer.wsdl.WsdlReader
`getContext, name, name, nextPath, path, path, path, path, prefixForNamespace, read, read, read, resolveReferences, setReference, setUuid, string`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGES

    protected static final XsdResolvers.SymbolSpace MESSAGES

### PORT_TYPES

    protected static final XsdResolvers.SymbolSpace PORT_TYPES

### BINDINGS

    protected static final XsdResolvers.SymbolSpace BINDINGS

### PORTS

    protected static final XsdResolvers.SymbolSpace PORTS

### SERVICES

    protected static final XsdResolvers.SymbolSpace SERVICES

### typeResolvers

    protected XsdResolvers typeResolvers

### uuidForComponent

    protected Map<javax.wsdl.WSDLElement,UUID> uuidForComponent

### nameForComponent

    protected Map<javax.wsdl.WSDLElement,String> nameForComponent

### SCHEMA_REFERENCE_ELEMENTS

    protected static final Set<String> SCHEMA_REFERENCE_ELEMENTS

Constructor Detail

### Wsdl11Reader

    public Wsdl11Reader(SequencerOutput output,
                        StreamSequencerContext context)

Method Detail

### parse

    protected javax.wsdl.Definition parse(InputSource source,
                                          String baseUri)
                                   throws Exception

  Parse the supplied source (which contains either a `Reader` or an `InputStream`) and produce a representation of the WSDL definition.

  Specified by:
    `parse` in class `WsdlReader<javax.wsdl.Definition>`
  Parameters:
    `source` - the source containing the WSDL stream; never null
    `baseUri` - the URI of the document being read; never null or empty
  Returns:
    the WSDL definition representation; may not be null
  Throws:
    `Exception` - if there is a problem during parsing
  See Also:
    `WsdlReader.parse(org.xml.sax.InputSource, java.lang.String)`

### process

    protected void process(javax.wsdl.Definition definition,
                           Path docPath,
                           long sizeOfFile)
                    throws Exception

  Process the supplied representation of the WSDL definition that was returned from the `WsdlReader.parse(InputSource, String)` method, derive the output content, and write that derived output content to the `SequencerOutput`.

  Specified by:
    `process` in class `WsdlReader<javax.wsdl.Definition>`
  Parameters:
    `definition` - the representation of the WSDL definition, which will always be the value returned from `WsdlReader.parse(InputSource, String)`
    `docPath` - the path at which this method should generate the output structure derived from the WSDL representation
    `sizeOfFile` - the size of the WSDL stream, in bytes
  Throws:
    `Exception` - if there is a problem during processing
  See Also:
    `WsdlReader.process(java.lang.Object, org.modeshape.graph.property.Path, long)`

### processTypes

    protected void processTypes(javax.wsdl.Types types,
                                Path parentPath)
                         throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.schema.Schema schema,
                           Path parentPath,
                           XsdReader xsdReader)
                    throws Exception

  Throws:
    `Exception`

### processXsdReference

    protected boolean processXsdReference(Element element,
                                          Path parentPath)

### getAttributeValue

    protected String getAttributeValue(Element element,
                                       String namespaceUri,
                                       String localName)

### processXsdAnnotation

    protected boolean processXsdAnnotation(Element element,
                                           Path parentPath)

### processMessages

    protected void processMessages(Map<String,javax.wsdl.Message> messages,
                                   Path parentPath)
                            throws Exception

  Throws:
    `Exception`

### processMessage

    protected void processMessage(javax.wsdl.Message message,
                                  Path parentPath)
                           throws Exception

  Throws:
    `Exception`

### processPart

    protected void processPart(javax.wsdl.Part part,
                               Path parentPath)
                        throws Exception

  Throws:
    `Exception`

### processPortTypes

    protected void processPortTypes(Map<String,javax.wsdl.PortType> portTypes,
                                    Path parentPath)
                             throws Exception

  Throws:
    `Exception`

### processPortType

    protected void processPortType(javax.wsdl.PortType portType,
                                   Path parentPath)
                            throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.Operation operation,
                           Path parentPath,
                           QName portTypeName)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.Input input,
                           Path parentPath,
                           javax.wsdl.OperationType style,
                           String operationName,
                           QName portTypeName)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.Output out,
                           Path parentPath,
                           javax.wsdl.OperationType style,
                           String operationName,
                           QName portTypeName)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.Fault fault,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### processBindings

    protected void processBindings(Map<String,javax.wsdl.Binding> bindings,
                                   Path parentPath)
                            throws Exception

  Throws:
    `Exception`

### processBinding

    protected void processBinding(javax.wsdl.Binding binding,
                                  Path parentPath)
                           throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.BindingOperation operation,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.BindingInput input,
                           Path parentPath,
                           javax.wsdl.OperationType style,
                           String operationName,
                           javax.wsdl.Operation operation)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.BindingOutput out,
                           Path parentPath,
                           javax.wsdl.OperationType style,
                           String operationName,
                           javax.wsdl.Operation operation)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.BindingFault fault,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### processServices

    protected void processServices(Map<String,javax.wsdl.Service> services,
                                   Path parentPath)
                            throws Exception

  Throws:
    `Exception`

### processService

    protected void processService(javax.wsdl.Service service,
                                  Path parentPath)
                           throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.Port port,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### processDocumentation

    protected void processDocumentation(javax.wsdl.WSDLElement wsdlElement,
                                        Path path)
                                 throws Exception

  Throws:
    `Exception`

### cleanDocumentationContent

    protected String cleanDocumentationContent(String content)

  This method is used by the `processDocumentation(WSDLElement, Path)` to clean up the documentation content string. By default, this method replaces all line feeds, carriage returns, and sequences of multiple whitespace with a single space.

  Parameters:
    `content` - the original content as read from the definition; never null
  Returns:
    the cleaned content; may be null if the content contained useless information

### processExtensibilityElements

    protected void processExtensibilityElements(javax.wsdl.WSDLElement wsdlElement,
                                                Path path)
                                         throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.ExtensibilityElement element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.http.HTTPAddress element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.http.HTTPBinding element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.http.HTTPOperation element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.http.HTTPUrlEncoded element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.http.HTTPUrlReplacement element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12Address element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12Binding element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12Operation element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12Body element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12Fault element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12Header element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap12.SOAP12HeaderFault element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPAddress element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPBinding element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPOperation element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPBody element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPFault element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPHeader element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.soap.SOAPHeaderFault element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.mime.MIMEMultipartRelated element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.mime.MIMEPart element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.mime.MIMEContent element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### process

    protected void process(javax.wsdl.extensions.mime.MIMEMimeXml element,
                           Path parentPath)
                    throws Exception

  Throws:
    `Exception`

### processUnknownExtensionElement

    protected void processUnknownExtensionElement(javax.wsdl.extensions.ExtensibilityElement element,
                                                  Path parentPath)
                                           throws Exception

  This method is called by `process(ExtensibilityElement, Path)` when the type of extension is not known. By default this method does nothing, but subclasses can override this method to specialize the behavior.

  Parameters:
    `element` - the extensibility element
    `parentPath` - the path of the parent node; never null
  Throws:
    `Exception` - if there is a problem processing the element

### is

    protected boolean is(QName qname,
                         Name name)

### setReferenceable

    protected UUID setReferenceable(Path path,
                                    XsdResolvers.SymbolSpace space,
                                    QName qname)

### setReferenceable

    protected UUID setReferenceable(Path path,
                                    XsdResolvers.SymbolSpace space,
                                    String namespace,
                                    String name)

### setReference

    protected UUID setReference(Path path,
                                Name propertyName,
                                XsdResolvers.SymbolSpace space,
                                QName name)

### writeXml

    protected String writeXml(Node xmlNode)
                       throws TransformerFactoryConfigurationError,
                              TransformerException

  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

### nextPath

    protected Path nextPath(Path parentPath,
                            QName qname,
                            Name primaryType)

### uuidForComponent

    protected UUID uuidForComponent(javax.wsdl.WSDLElement component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.